Skip to main content
`Ctrl`+`K`

# imageio.plugins.npz

Read/Write NPZ files.

Backend: Numpy

NPZ is a file format by numpy that provides storage of array data using gzip compression. This imageio plugin supports data of any shape, and also supports multiple images per file. However, the npz format does not provide streaming; all data is read/written at once. Further, there is no support for meta data.

See the BSDF format for a similar (but more fully featured) format.

## Parameters

None

## Notes

This format is not available on Pypy.